> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# 디지털 ID 지갑 API 카탈로그

> Didit 디지털 ID 지갑 엔드포인트를 살펴보고 국가별 지원 범위, 필수 입력값, 가용성을 애플리케이션에 맞춰 확인하세요.

이 인증 카탈로그를 사용하면 각 지갑의 시작 엔드포인트, 지원 국가 및 필수 입력값을 확인할 수 있습니다.
`available` 필드는 호출하는 환경에서 API 키로 식별되는 애플리케이션에 적용됩니다.
해당 애플리케이션에서 사용할 수 있고 사용자가 선택한 국가를 지원하는 지갑만 제공하십시오.
입력값 검증, 크레딧 요건 및 적용되는 계약 요율은 인증을 시작할 때 여전히 확인됩니다.

`available`이 `false`인 상태에서도 지갑이 목록에 표시될 수 있습니다.
카탈로그는 해당 지갑을 활성화하거나 프로덕션 요건을 무시하지 않습니다.
샌드박스 애플리케이션에서는 아직 실서비스 인증에 사용할 수 없는 지갑을 시뮬레이션할 수 있습니다.

인증을 시작하고 결과를 받으려면 [지갑 API 연동 가이드](https://docs.didit.me/ko/standalone-apis/digital-id-wallets.md)를 따르십시오.


## OpenAPI

````yaml ko/openapi-25.json GET /v3/id-verification/wallets/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: 신분증 인증 API입니다. x-api-key 헤더로 인증합니다.
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/id-verification/wallets/:
    get:
      tags:
        - Digital ID wallets
      summary: 디지털 신분증 지갑 목록 조회
      description: >-
        각 디지털 ID 지갑의 시작 endpoint, 국가, 필수 필드 및 현재 이 환경에서 애플리케이션이 시작할 수 있는지 여부입니다.
        목록에 표시되어 있다고 해서 활성 상태임을 의미하지는 않습니다.
      operationId: list_wallets
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletCatalogResponse'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiClientCredentialsForbiddenErrorMessage
          description: '자격 증명(x-api-key 또는 Authorization: Bearer)이 누락되었습니다.'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url https://verification.didit.me/v3/id-verification/wallets/ \
              --header 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY.
            client = Didit()

            result = client.id_wallets.list()
            print(result)
        - lang: javascript
          label: Node.js
          source: |-
            import Didit from "@didit-protocol/sdk-node";

            // Reads DIDIT_API_KEY.
            const didit = new Didit();

            const result = await didit.idWallets.list();
            console.log(result);
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.IDWallets.List(ctx)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"
        - lang: java
          label: Java
          source: |-
            import me.didit.Didit;

            // Reads DIDIT_API_KEY.
            Didit client = new Didit();

            var result = client.idWallets().list();
            System.out.println(result);
        - lang: php
          label: PHP
          source: |-
            <?php

            require 'vendor/autoload.php';

            use Didit\DiditClient;

            // Reads DIDIT_API_KEY.
            $didit = new DiditClient();

            $result = $didit->idWallets->list();
            print_r($result->toArray());
        - lang: ruby
          label: Ruby
          source: |-
            require "didit"

            # Reads DIDIT_API_KEY.
            didit = Didit::Client.new

            result = didit.id_wallets.list
            puts result.to_h
        - lang: csharp
          label: .NET
          source: |-
            using System;
            using System.Text.Json;
            using Didit;

            // Reads DIDIT_API_KEY.
            using var client = new DiditClient();

            var result = await client.IdWallets.ListAsync();
            Console.WriteLine(JsonSerializer.Serialize(result));
components:
  schemas:
    DigitalIdWalletApiWalletCatalogResponse:
      type: object
      properties:
        wallets:
          type: array
          items:
            $ref: '#/components/schemas/DigitalIdWalletApiWalletCatalogEntry'
      required:
        - wallets
    DigitalIdWalletApiClientCredentialsForbiddenErrorMessage:
      type: object
      properties:
        detail:
          type: string
          default: Forbidden - User doesn't have permission
    DigitalIdWalletApiWalletCatalogEntry:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        path:
          type: string
          description: 지갑 자체의 시작 endpoint입니다.
        countries:
          type: array
          items:
            type: string
        issuing_authority:
          type: string
        level_of_assurance:
          type: string
          nullable: true
        interaction:
          $ref: '#/components/schemas/DigitalIdWalletApiInteractionEnum'
        required_fields:
          type: array
          items:
            type: string
        available:
          type: boolean
          description: >-
            이 애플리케이션이 현재 이 환경에서 이를 시작할 수 있는지 여부입니다. 목록에 표시되어 있다고 해서 프로덕션 상태인 것은
            아닙니다.
      required:
        - available
        - countries
        - id
        - interaction
        - issuing_authority
        - level_of_assurance
        - name
        - path
        - required_fields
    DigitalIdWalletApiInteractionEnum:
      enum:
        - redirect
        - in_app
        - digital_credentials
      type: string
      description: |-
        * `redirect` - redirect
        * `in_app` - in_app
        * `digital_credentials` - digital_credentials
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Business Console의 Developers -> API keys에서 발급받은 귀하 애플리케이션의 API 키입니다. 기본
        키는 전체 접근 권한을 갖습니다. 이름이 지정된 키는 리소스별 none, read, write 범위로 권한을 제한할 수 있으며
        특정 워크플로나 승인된 세션, IP 주소 목록, 만료일 등으로 제한할 수도 있습니다. 401은 키가 잘못되었거나 폐기되었거나
        만료되었음을 의미합니다. 403은 키가 전송되지 않았거나, 키에 해당 리소스나 작업에 대한 접근 권한이 없거나, 요청이 허용된
        IP 목록 외부 주소에서 발생했음을 의미합니다. 세션 경로에서의 404는 해당 세션이 키의 허용 워크플로 또는 상태 범위를
        벗어났음을 의미합니다. 미디어 접근 권한이 없는 키는 이미지, 비디오, PDF URL을 null로 수신하며, 세션 write
        권한이 없는 키는 세션 링크와 token을 null로 수신합니다.
        https://docs.didit.me/console/api-keys 를 참고하십시오.
    BearerAuth:
      type: http
      scheme: bearer
      description: 애플리케이션의 클라이언트 자격 증명 액세스 token입니다.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.